> ## Documentation Index
> Fetch the complete documentation index at: https://spiceflow-docs.spicenet.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Airdrop

> Request testnet token airdrops

## Endpoint

```http theme={null}
POST /airdrop/:chainId/:tokenId
```

## Path Parameters

| Parameter | Type     | Required | Description      |
| --------- | -------- | -------- | ---------------- |
| `chainId` | `number` | Yes      | Target chain ID  |
| `tokenId` | `string` | Yes      | Token identifier |

## Supported Tokens

| Token ID   | Chain            | Chain ID | Token Address                                |
| ---------- | ---------------- | -------- | -------------------------------------------- |
| `spiceUsd` | Base Sepolia     | 84532    | `0xf370dC3765f81aC9dD2FEBd59Fb4e710330B0BC8` |
| `spiceUsd` | Arbitrum Sepolia | 421614   | `0xBeB51deb2018b67b35d5695Fd15bb30D452c7868` |

## Request Body

```json theme={null}
{
  "wallet": "0xYourWalletAddress..."
}
```

| Field    | Type     | Required | Description              |
| -------- | -------- | -------- | ------------------------ |
| `wallet` | `string` | Yes      | Recipient wallet address |

## Response

**Success (200)**

```json theme={null}
{
  "airdropAmount": "200000000000000000000",
  "txHash": "0x..."
}
```

| Field           | Type     | Description                     |
| --------------- | -------- | ------------------------------- |
| `airdropAmount` | `string` | Amount airdropped (in wei)      |
| `txHash`        | `Hash`   | Transaction hash of the airdrop |

## Error Responses

**400 Bad Request**

```json theme={null}
{
  "error": "unsupported chain id",
  "chainId": "999"
}
```

```json theme={null}
{
  "error": "unsupported token id",
  "tokenId": "unknownToken"
}
```

```json theme={null}
{
  "error": "wallet must be string",
  "wallet": null
}
```

**500 Internal Server Error**

```json theme={null}
{
  "error": "faucet out of funds for for chain id, token id",
  "chainId": "84532",
  "tokenId": "spiceUsd",
  "tokenAddress": "0x...",
  "faucetAddress": "0x...",
  "faucetBalance": "0",
  "airdropAmount": "200000000000000000000"
}
```

## Example

```bash theme={null}
curl -X POST /airdrop/84532/spiceUsd \
  -H "Content-Type: application/json" \
  -d '{"wallet": "0x742d35Cc6634C0532925a3b844e4B7db0D6d8E5c"}'
```

## Notes

* Fixed airdrop amount: **200 tokens** per request
* Testnet only - not available on mainnet
